MoveCollectionsOperations Class

MoveCollectionsOperations async operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
MoveCollectionsOperations

Constructor

MoveCollectionsOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

begin_bulk_remove

Removes the set of move resources included in the request body from move collection. The orchestration is done by service. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.

begin_commit

Commits the set of resources included in the request body. The commit operation is triggered on the moveResources in the moveState 'CommitPending' or 'CommitFailed', on a successful completion the moveResource moveState do a transition to Committed. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.

begin_delete

Deletes a move collection.

begin_discard

Discards the set of resources included in the request body. The discard operation is triggered on the moveResources in the moveState 'CommitPending' or 'DiscardFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.

begin_initiate_move

Moves the set of resources included in the request body. The move operation is triggered after the moveResources are in the moveState 'MovePending' or 'MoveFailed', on a successful completion the moveResource moveState do a transition to CommitPending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.

begin_prepare

Initiates prepare for the set of resources included in the request body. The prepare operation is on the moveResources that are in the moveState 'PreparePending' or 'PrepareFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.

begin_resolve_dependencies

Computes, resolves and validate the dependencies of the moveResources in the move collection.

create

Creates or updates a move collection.

get

Gets the move collection.

list_move_collections_by_resource_group

Get all Move Collections.

Get all the Move Collections in the resource group.

list_move_collections_by_subscription

Get all Move Collections.

Get all the Move Collections in the subscription.

list_required_for

List of the move resources for which an arm resource is required for.

update

Updates a move collection.

begin_bulk_remove

Removes the set of move resources included in the request body from move collection. The orchestration is done by service. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.

async begin_bulk_remove(resource_group_name: str, move_collection_name: str, body: Optional[azure.mgmt.resourcemover.models._models_py3.BulkRemoveRequest] = None, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.resourcemover.models._models_py3.OperationStatus]

Parameters

resource_group_name
str
Required
move_collection_name
str
Required
body
<xref:resource_mover_service_api.models.BulkRemoveRequest>
default value: None
cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

True for ARMPolling, False for no polling, or a polling object for personal polling strategy

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either OperationStatus or the result of cls(response)

Return type

AsyncLROPoller[<xref:resource_mover_service_api.models.OperationStatus>]

Exceptions

begin_commit

Commits the set of resources included in the request body. The commit operation is triggered on the moveResources in the moveState 'CommitPending' or 'CommitFailed', on a successful completion the moveResource moveState do a transition to Committed. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.

async begin_commit(resource_group_name: str, move_collection_name: str, body: Optional[azure.mgmt.resourcemover.models._models_py3.CommitRequest] = None, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.resourcemover.models._models_py3.OperationStatus]

Parameters

resource_group_name
str
Required

The Resource Group Name.

move_collection_name
str
Required

The Move Collection Name.

body
<xref:resource_mover_service_api.models.CommitRequest>
default value: None
cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

True for ARMPolling, False for no polling, or a polling object for personal polling strategy

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either OperationStatus or the result of cls(response)

Return type

AsyncLROPoller[<xref:resource_mover_service_api.models.OperationStatus>]

Exceptions

begin_delete

Deletes a move collection.

async begin_delete(resource_group_name: str, move_collection_name: str, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.resourcemover.models._models_py3.OperationStatus]

Parameters

resource_group_name
str
Required

The Resource Group Name.

move_collection_name
str
Required

The Move Collection Name.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

True for ARMPolling, False for no polling, or a polling object for personal polling strategy

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either OperationStatus or the result of cls(response)

Return type

AsyncLROPoller[<xref:resource_mover_service_api.models.OperationStatus>]

Exceptions

begin_discard

Discards the set of resources included in the request body. The discard operation is triggered on the moveResources in the moveState 'CommitPending' or 'DiscardFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.

async begin_discard(resource_group_name: str, move_collection_name: str, body: Optional[azure.mgmt.resourcemover.models._models_py3.DiscardRequest] = None, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.resourcemover.models._models_py3.OperationStatus]

Parameters

resource_group_name
str
Required

The Resource Group Name.

move_collection_name
str
Required

The Move Collection Name.

body
<xref:resource_mover_service_api.models.DiscardRequest>
default value: None
cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

True for ARMPolling, False for no polling, or a polling object for personal polling strategy

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either OperationStatus or the result of cls(response)

Return type

AsyncLROPoller[<xref:resource_mover_service_api.models.OperationStatus>]

Exceptions

begin_initiate_move

Moves the set of resources included in the request body. The move operation is triggered after the moveResources are in the moveState 'MovePending' or 'MoveFailed', on a successful completion the moveResource moveState do a transition to CommitPending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.

async begin_initiate_move(resource_group_name: str, move_collection_name: str, body: Optional[azure.mgmt.resourcemover.models._models_py3.ResourceMoveRequest] = None, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.resourcemover.models._models_py3.OperationStatus]

Parameters

resource_group_name
str
Required

The Resource Group Name.

move_collection_name
str
Required

The Move Collection Name.

body
<xref:resource_mover_service_api.models.ResourceMoveRequest>
default value: None
cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

True for ARMPolling, False for no polling, or a polling object for personal polling strategy

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either OperationStatus or the result of cls(response)

Return type

AsyncLROPoller[<xref:resource_mover_service_api.models.OperationStatus>]

Exceptions

begin_prepare

Initiates prepare for the set of resources included in the request body. The prepare operation is on the moveResources that are in the moveState 'PreparePending' or 'PrepareFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.

async begin_prepare(resource_group_name: str, move_collection_name: str, body: Optional[azure.mgmt.resourcemover.models._models_py3.PrepareRequest] = None, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.resourcemover.models._models_py3.OperationStatus]

Parameters

resource_group_name
str
Required

The Resource Group Name.

move_collection_name
str
Required

The Move Collection Name.

body
<xref:resource_mover_service_api.models.PrepareRequest>
default value: None
cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

True for ARMPolling, False for no polling, or a polling object for personal polling strategy

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either OperationStatus or the result of cls(response)

Return type

AsyncLROPoller[<xref:resource_mover_service_api.models.OperationStatus>]

Exceptions

begin_resolve_dependencies

Computes, resolves and validate the dependencies of the moveResources in the move collection.

async begin_resolve_dependencies(resource_group_name: str, move_collection_name: str, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.resourcemover.models._models_py3.OperationStatus]

Parameters

resource_group_name
str
Required

The Resource Group Name.

move_collection_name
str
Required

The Move Collection Name.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

True for ARMPolling, False for no polling, or a polling object for personal polling strategy

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either OperationStatus or the result of cls(response)

Return type

AsyncLROPoller[<xref:resource_mover_service_api.models.OperationStatus>]

Exceptions

create

Creates or updates a move collection.

async create(resource_group_name: str, move_collection_name: str, body: Optional[azure.mgmt.resourcemover.models._models_py3.MoveCollection] = None, **kwargs) -> azure.mgmt.resourcemover.models._models_py3.MoveCollection

Parameters

resource_group_name
str
Required

The Resource Group Name.

move_collection_name
str
Required

The Move Collection Name.

body
<xref:resource_mover_service_api.models.MoveCollection>
default value: None
cls
callable

A custom type or function that will be passed the direct response

Returns

MoveCollection, or the result of cls(response)

Return type

<xref:resource_mover_service_api.models.MoveCollection>

Exceptions

get

Gets the move collection.

async get(resource_group_name: str, move_collection_name: str, **kwargs) -> azure.mgmt.resourcemover.models._models_py3.MoveCollection

Parameters

resource_group_name
str
Required

The Resource Group Name.

move_collection_name
str
Required

The Move Collection Name.

cls
callable

A custom type or function that will be passed the direct response

Returns

MoveCollection, or the result of cls(response)

Return type

<xref:resource_mover_service_api.models.MoveCollection>

Exceptions

list_move_collections_by_resource_group

Get all Move Collections.

Get all the Move Collections in the resource group.

list_move_collections_by_resource_group(resource_group_name: str, **kwargs) -> AsyncIterable[azure.mgmt.resourcemover.models._models_py3.MoveCollectionResultList]

Parameters

resource_group_name
str
Required

The Resource Group Name.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either MoveCollectionResultList or the result of cls(response)

Return type

AsyncItemPaged[<xref:resource_mover_service_api.models.MoveCollectionResultList>]

Exceptions

list_move_collections_by_subscription

Get all Move Collections.

Get all the Move Collections in the subscription.

list_move_collections_by_subscription(**kwargs) -> AsyncIterable[azure.mgmt.resourcemover.models._models_py3.MoveCollectionResultList]

Parameters

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either MoveCollectionResultList or the result of cls(response)

Return type

AsyncItemPaged[<xref:resource_mover_service_api.models.MoveCollectionResultList>]

Exceptions

list_required_for

List of the move resources for which an arm resource is required for.

async list_required_for(resource_group_name: str, move_collection_name: str, source_id: str, **kwargs) -> azure.mgmt.resourcemover.models._models_py3.RequiredForResourcesCollection

Parameters

resource_group_name
str
Required

The Resource Group Name.

move_collection_name
str
Required

The Move Collection Name.

source_id
str
Required

The sourceId for which the api is invoked.

cls
callable

A custom type or function that will be passed the direct response

Returns

RequiredForResourcesCollection, or the result of cls(response)

Return type

<xref:resource_mover_service_api.models.RequiredForResourcesCollection>

Exceptions

update

Updates a move collection.

async update(resource_group_name: str, move_collection_name: str, body: Optional[azure.mgmt.resourcemover.models._models_py3.UpdateMoveCollectionRequest] = None, **kwargs) -> azure.mgmt.resourcemover.models._models_py3.MoveCollection

Parameters

resource_group_name
str
Required

The Resource Group Name.

move_collection_name
str
Required

The Move Collection Name.

body
<xref:resource_mover_service_api.models.UpdateMoveCollectionRequest>
default value: None
cls
callable

A custom type or function that will be passed the direct response

Returns

MoveCollection, or the result of cls(response)

Return type

<xref:resource_mover_service_api.models.MoveCollection>

Exceptions

Attributes

models

models = <module 'azure.mgmt.resourcemover.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\resourcemover\\models\\__init__.py'>